> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List issue occurrences

> List one issue’s occurrences, newest first.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /issues/{issue_id}/occurrences
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues/{issue_id}/occurrences:
    get:
      tags:
        - Issues / Occurrences
      summary: List issue occurrences
      description: List one issue’s occurrences, newest first.
      operationId: list_issue_occurrences
      parameters:
        - name: issue_id
          in: path
          required: true
          description: >-
            Issue id from list_issues rows; not a member user id, tag id or
            trace id.
          schema:
            type: string
        - name: project_id
          in: query
          required: true
          description: Project ID.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Page size, 1 to 200.
          schema:
            type: integer
            minimum: 1
            maximum: 200
        - name: cursor
          in: query
          required: false
          description: >-
            Opaque. Omit it on the first call. The next page is
            next_request.arguments. It expires after 15 minutes and matches you,
            the project, the filters, and the sort.
          schema:
            type: string
      responses:
        '200':
          description: Issue occurrences
          content:
            application/json:
              schema:
                type: object
                properties:
                  occurrences:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        trace_id:
                          type: string
                        display_title:
                          type: string
                        abstract:
                          type: object
                          properties:
                            steps:
                              type: array
                              items:
                                type: string
                            failure_step:
                              type: integer
                              minimum: 0
                          required:
                            - steps
                            - failure_step
                        session_id:
                          type:
                            - string
                            - 'null'
                        title:
                          type: string
                        rationale:
                          type: string
                        source_span_ids:
                          type: array
                          items:
                            type: string
                        evidence_span_ids:
                          type: array
                          items:
                            type: string
                        citations: {}
                        spans:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              otel_span_id:
                                type: string
                              parent_otel_span_id:
                                type:
                                  - string
                                  - 'null'
                              name:
                                type: string
                              kind:
                                type:
                                  - string
                                  - 'null'
                              start_time_ns:
                                type:
                                  - string
                                  - 'null'
                              end_time_ns:
                                type:
                                  - string
                                  - 'null'
                              duration_ms:
                                type:
                                  - number
                                  - 'null'
                              status_code:
                                type:
                                  - string
                                  - 'null'
                              status_description:
                                type:
                                  - string
                                  - 'null'
                              input_tokens:
                                type:
                                  - number
                                  - 'null'
                              output_tokens:
                                type:
                                  - number
                                  - 'null'
                              model_name:
                                type:
                                  - string
                                  - 'null'
                              tps:
                                type:
                                  - number
                                  - 'null'
                              attributes:
                                type: object
                                additionalProperties: {}
                              events: {}
                            required:
                              - id
                              - otel_span_id
                              - parent_otel_span_id
                              - name
                              - kind
                              - start_time_ns
                              - end_time_ns
                              - duration_ms
                              - status_code
                              - status_description
                              - input_tokens
                              - output_tokens
                              - model_name
                              - tps
                            additionalProperties: false
                        created_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        release:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - trace_id
                        - title
                        - rationale
                        - source_span_ids
                        - evidence_span_ids
                        - spans
                        - created_at
                      additionalProperties: false
                  next_request:
                    type:
                      - object
                      - 'null'
                    properties:
                      operation:
                        type: string
                        minLength: 1
                      arguments:
                        type: object
                        properties:
                          issue_id:
                            type: string
                          project_id:
                            type: string
                          limit:
                            type: integer
                            minimum: 1
                            maximum: 200
                          cursor:
                            type: string
                            minLength: 1
                          release:
                            type: string
                          start_inclusive:
                            type: string
                            format: date-time
                          end_exclusive:
                            type: string
                            format: date-time
                        additionalProperties: false
                    required:
                      - operation
                      - arguments
                    additionalProperties: false
                required:
                  - occurrences
                  - next_request
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.